|  | posix.h File Reference updated Sun Nov 5 2023 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
posix.h File Reference

Get POSIX character class ranges and regex translations. More...

`#include <cstring>`
`#include <map>`
Include dependency graph for posix.h:
This graph shows which files directly or indirectly include this file:

## Classes

class | reflex::Posix::Tables
struct | reflex::Posix::Tables::lt

## Namespaces

| reflex
| reflex::Posix

## Functions

const int * | reflex::Posix::range (const char *)

## Detailed Description

Get POSIX character class ranges and regex translations.

Author
  Robert van Engelen - engel.nosp@m.en@g.nosp@m.enivi.nosp@m.a.co.nosp@m.m

Copyright
  (c) 2016-2020, Robert van Engelen, Genivia Inc. All rights reserved.
  (c) BSD-3 License - see LICENSE.txt